/// <reference types="react" />
import { ShowHintOptions } from 'codemirror';
import 'codemirror/addon/hint/show-hint';
import 'codemirror/addon/hint/show-hint.css';
declare type DisplayText = ((item: MentionHint) => string) | string;
export interface MentionHint {
    text: string;
    displayText?: DisplayText;
    [key: string]: any;
}
interface RenderItemProps<T = any> {
    item: MentionHint & T;
}
declare type GetDataType = (search: string) => Promise<MentionHint[]>;
export interface HintOptions extends ShowHintOptions {
    className?: string;
    getData?: GetDataType;
    debounce?: number;
    RenderItem?: RenderItemFunc;
    mentionMark?: string;
}
export interface RenderItemFunc<T = any> {
    (props: RenderItemProps<T>): JSX.Element;
}
export {};
//# sourceMappingURL=index.d.ts.map