import React from 'react';
import { EditorFromTextArea } from 'codemirror';
import { RenderOptions } from '../../addon/mention';
import 'codemirror/mode/meta';
import 'codemirror/addon/mode/loadmode';
import 'codemirror/lib/codemirror.css';
import 'codemirror/addon/runmode/runmode-standalone';
interface HighlightProps {
    value?: string;
    options?: Record<string, unknown>;
    mentions?: RenderOptions[];
    modes?: Array<string>;
    modeConfig?: Record<string, unknown>;
    onUpload?: (file: File) => Promise<string | undefined>;
    onChange?: (value: string) => void;
}
export interface EditorHandles {
    editor: EditorFromTextArea;
}
declare const _default: React.MemoExoticComponent<React.ForwardRefExoticComponent<HighlightProps & React.RefAttributes<EditorHandles>>>;
export default _default;
//# sourceMappingURL=index.d.ts.map