import CodeMirror from 'codemirror';
import 'codemirror/mode/meta';
import 'codemirror/lib/codemirror.css';
import 'codemirror/addon/mode/loadmode';
import 'codemirror/addon/runmode/runmode-standalone';
import 'codemirror/addon/hint/show-hint';
import './addon/markdown';
import './addon/upload';
import './addon/mention';
import './mode/rocketseat';
import './editor/addcodeblockclass';
import Markdown from './components/Markdown';
import HighlightEditor, { EditorHandles } from './components/HighlightEditor';
import { registerModesToPreview } from './utils/registerModes';
export { CodeMirror, registerModesToPreview, HighlightEditor, EditorHandles, Markdown, };
//# sourceMappingURL=index.d.ts.map